<?php

namespace App\Model\Forms;

use Nette\Application\UI\Form;

class settingsMichalMestak extends Form {

    function __construct() {
        $this->addText("Jmeno", "Kamera JI-112C");
        $this->addText("uzivatelskejmeno", "číslo kamery");
        $this->addTextArea("Podpora", "typ");
        $this->addSelect("otazka", "máte záruku?", array("Ano", "Ne"));
        $this->addInteger("kamery", "počet kamer");
        $this->addUpload("obrazek", "půdorys stavební jednotky");
        $this->addRadioList("prvky", "kamery", array("IP", "analogové"));
        $this->addCheckbox("novinky", "chci zasílat novinky od Jablotronu");

        $this->onSuccess[] = [$this, 'formSubmited'];

        $this->addPassword('starepassword', 'Staré Heslo')
                ->setMaxLength(20)
                ->addRule($this::MIN_LENGTH, 'Heslo musi mit alespon 5 znaku', 5);

        $this->addPassword('novepassword', 'Nové Heslo')
                ->setMaxLength(20)
                ->addRule($this::MIN_LENGTH, 'Heslo musi mit alespon 5 znaku', 5);

        $this->addPassword('potvrzenipassword', 'Potvrzení nového heslo')
                ->setMaxLength(20)
                ->addRule($this::MIN_LENGTH, 'Heslo musi mit alespon 5 znaku', 5)
                ->addrule($this::EQUAL, "Heslo se neshoduje", $this["novepassword"]);

        $this->addSubmit("odeslat", "odeslat");
        $this->onSuccess[] = [$this, 'formSubmitted'];
    }

    public function formSubmited() {
        $values = $this->getValues();
        dump($values);
        die();
    }

}
